package com.cm.manager.sms.pojo.dtos.email;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: EmailDTO
 * @Description: 邮箱
 * @Author: WangGeng
 * @Date: 2020/7/31 4:37 下午
 * @Version: 1.0
 **/
@ApiModel
public class EmailDTO {

    @ApiModelProperty(name = "emailId", value = "ID")
    private String emailId;
    @ApiModelProperty(name = "emailSender", value = "发送人")
    private String emailSender;
    @ApiModelProperty(name = "emailReceiver", value = "接收人")
    private String emailReceiver;
    @ApiModelProperty(name = "emailCc", value = "抄送人")
    private String emailCc;
    @ApiModelProperty(name = "emailType", value = "邮件类型")
    private String emailType;
    @ApiModelProperty(name = "emailSubject", value = "主题")
    private String emailSubject;
    @ApiModelProperty(name = "emailContent", value = "内容")
    private String emailContent;
    @ApiModelProperty(name = "sendingStatus", value = "发送状态")
    private Integer sendingStatus;
    @ApiModelProperty(name = "gmtCreate", value = "发送时间")
    private String gmtCreate;

    public String getEmailId() {
        return emailId == null ? "" : emailId.trim();
    }

    public void setEmailId(String emailId) {
        this.emailId = emailId;
    }

    public String getEmailSender() {
        return emailSender == null ? "" : emailSender.trim();
    }

    public void setEmailSender(String emailSender) {
        this.emailSender = emailSender;
    }

    public String getEmailReceiver() {
        return emailReceiver == null ? "" : emailReceiver.trim();
    }

    public void setEmailReceiver(String emailReceiver) {
        this.emailReceiver = emailReceiver;
    }

    public String getEmailCc() {
        return emailCc == null ? "" : emailCc.trim();
    }

    public void setEmailCc(String emailCc) {
        this.emailCc = emailCc;
    }

    public String getEmailType() {
        return emailType == null ? "" : emailType.trim();
    }

    public void setEmailType(String emailType) {
        this.emailType = emailType;
    }

    public String getEmailSubject() {
        return emailSubject == null ? "" : emailSubject.trim();
    }

    public void setEmailSubject(String emailSubject) {
        this.emailSubject = emailSubject;
    }

    public String getEmailContent() {
        return emailContent == null ? "" : emailContent.trim();
    }

    public void setEmailContent(String emailContent) {
        this.emailContent = emailContent;
    }

    public Integer getSendingStatus() {
        return sendingStatus;
    }

    public void setSendingStatus(Integer sendingStatus) {
        this.sendingStatus = sendingStatus;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"emailId\":")
                .append("\"").append(emailId).append("\"");
        sb.append(",\"emailSender\":")
                .append("\"").append(emailSender).append("\"");
        sb.append(",\"emailReceiver\":")
                .append("\"").append(emailReceiver).append("\"");
        sb.append(",\"emailCc\":")
                .append("\"").append(emailCc).append("\"");
        sb.append(",\"emailType\":")
                .append("\"").append(emailType).append("\"");
        sb.append(",\"emailSubject\":")
                .append("\"").append(emailSubject).append("\"");
        sb.append(",\"emailContent\":")
                .append("\"").append(emailContent).append("\"");
        sb.append(",\"sendingStatus\":")
                .append(sendingStatus);
        sb.append(",\"gmtCreate\":")
                .append("\"").append(gmtCreate).append("\"");
        sb.append('}');
        return sb.toString();
    }
}
